Imports DigitalData.Modules.Database
Imports DigitalData.Modules.Logging

Public Class JobBase
    Protected _LogConfig As LogConfig
    Protected _Logger As Logger
    Protected _Firebird As Firebird
    Protected _MSSQL As MSSQLServer

    Public Sub New(LogConfig As LogConfig, Firebird As Firebird, MSSQL As MSSQLServer)
        _LogConfig = LogConfig
        _Logger = LogConfig.GetLogger()
        _Firebird = Firebird
        _MSSQL = MSSQL
    End Sub
End Class
